Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-01-2011 18:54:11

Heliox
Membre
Distrib. : 6.0 "Squeeze" AMD64
Noyau : Linux 2.6.32
(G)UI : Gnome 2.30
Inscription : 13-01-2011

Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

Bonjour,

C'est un de mes premiers messages sur ce forum, aussi me dois-je de commencer avec des questions de débutants.

En réalité je cherche à avoir un avis complet à propos de Debian Squeeze + ses Backports (à venir) face à Ubuntu.


Ubuntu est une distribution que j'aime beaucoup, elle me convient bien, me permet de faire des tâches "quotidiennes" (bureautique, musique, chat, facebook) dans un environnement plein d'enrobage en sucre (ce qui ne me déplaît pas).

Ce qui me plaît :
- Le passage automatique à la version supérieure pour des logiciels tiers comme Firefox ou Thunderbird.
- Les mises à jour de sécurité pendant 18 mois.

Mais face à la politique de Canonical je recherche autre chose. Et je me suis porté sur Debian dans un premier temps. Comme je n'aime pas le principe du rolling-release (pour moi les parties critiques et centrales du système doivent être figées). Je pense m'orienter vers une Debian Stable.

Mais deux trois trucs ne me plaisent pas :
- La relative difficulté de configurer Debian
- L'âge de certains paquets (surtout Firefox et Thunderbird)

Cependant je sais que Debian dispose de backports (pas encore mis en place pour Squeeze), et je place beaucoup d'espoirs en eux pour me donner des versions un peu plus récentes de certains logiciels.

Car parmi les choses qui ne me plaisent pas chez Debian, la difficulté de configuration, est un obstacle purement personnel et peut être franchi à condition de s'instruire sur le sujet (ce que je fais).
Alors ces Backports sont la seconde condition pour que je puisse migrer sereinement, mais là il ne s'agit de travail personnel, aussi je vous demande quelques renseignements à leur propos.

1) Les versions proposées que valent-elles niveau sécurité ?
J'ai trouvé ça : http://backports.debian.org/FAQ/ « Q: Is there security support for packages from backports.debian.org? A: Unfortunately not ». COmment comprendre cette indication ? Les versions proposées dans les backports sont-elles moins sûres que leur homologues chez Ubuntu ? Comment être sûr que Iceweasel en provenance de Backport soit sûr et fiable ?

2) Question toute bête : un système basé sur une Debian Stable + Backports pour quelques logiciels (Firefox, Thunderbird, OpenOffice, Gimp) est-il aussi viable sur le long terme que la dernière Ubuntu ?


(Voila mes deux questions. Je suis en train d'installer et configurer Debian en dual-boot en épluchant la doc officielle pour configurer au mieux ma Debian, et je me heurte déja à quelques bugs yikes)

Merci d'avance pour vos réponses smile

Dernière modification par Heliox (13-01-2011 18:56:01)

Hors ligne

#2 13-01-2011 21:33:16

deuchdeb
Moderato ma non troppo
Lieu : Pays de Cocagne
Distrib. : Jessie 8 + backports
Noyau : linux-image-3.16
(G)UI : KDE4.14 - Mate
Inscription : 13-01-2010

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

J'utilise les backports pour Iceweasel (Firefox) et Openoffice et le flashplugins-nonfree.

Je n'ai pas de problèmes particuliers et cela fonctione bien. Les mises à jours sont régulières et suivent  les évolutions des logiciels.

J'utilise mon ordinateur dans le cadre familiale et tout le monde s'en sert. La même session pour tout le monde et chacun son répertoire pour ranger ses petits fichiers.

Si tu utilise les backports, penses au fichiers preferences.

Voilà pour mon témoignage.

Ah si, j'oubliais, jamais de plantages.

Pour infos:

- http://debian-facile.org/doc:obsolete:f … references
- http://debian-facile.org/doc:obsolete:d … _backports
- http://debian-facile.org/manuel:sources.list

Hors ligne

#3 13-01-2011 21:48:25

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

Salut, juste à préciser que les dépôts backports (ainsi que  ceux d'experimental) sont en priorité minimale de 1 par défaut.
Il n'est donc pas nécessaire de créer le fichier de preferences en les ajoutant aux autres dépôts du sources.list qui sont eux en priorité de 500.
smile
Voir là :
http://debian-facile.org/doc:obsolete:f … perimental

Amitié, Joel

Dernière modification par smolski (13-01-2011 21:49:04)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#4 15-01-2011 18:57:33

Heliox
Membre
Distrib. : 6.0 "Squeeze" AMD64
Noyau : Linux 2.6.32
(G)UI : Gnome 2.30
Inscription : 13-01-2011

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

OK ben merci je vais m'y mettre sérieusement alors.

Savez-vous quand est-ce que les backports pour Squeeze vont entrer en service ? Actuellement sur le serveur il n'y a que des pilotes proprio pour ATI (fglrx)...

En attendant je me débrouille avec le dépot experimental pour avoir des trucs à jour.

Hors ligne

#5 15-01-2011 21:21:17

dbkblk
Membre
Distrib. : Debian Wheezy 64bits
Noyau : 3.2
(G)UI : Gnome 3.2
Inscription : 24-10-2010

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

Pour tout t'avouer, dès mes premiers jours sous Debian, j'étais frustré de ne pas avoir Firefox 3.6, et toutes les dernières versions. Puis, lentement, j'ai réalisé que ça servait à rien d'avoir toujours les derniers logiciels et les dernières fonctionnalités, parce que l'essentiel est souvent déjà là et ceux-ci sont stables. Je pense que c'est une forme de sagesse qui vient (:D) ! Sauf si tu as absolument besoin de quelque chose, je te conseille d'essayer de t'habituer à ça.

Aussi, tu peux essayer d'ajouter les dépôts de Linux Mint Debian pour avoir des paquets interessants:
################################################
## Serveur Linux Mint Debian Edition
deb http://packages.linuxmint.com/ debian main upstream import
################################################

Je te conseille le menu Mint "mintmenu" et les thèmes par defaut "mint-artwork-debian". Aussi "Skype" et "Dropbox" sont dedans, si jamais tu t'en sers.

Debian n'est pas très dure à configurer, c'est juste que tout est moins "poli" que dans Ubuntu par défaut. Crois moi, à l'usage, c'est souvent mieux pensé !

Si tu veux un peu d'aide, je me suis fais un fichier récapitulatif pour l'installation (avec plein d'astuces):
http://dl.dropbox.com/u/369241/Installa … Debian.odt

Évidemment, essaie de comprendre ce que ça fait avant de te lancer tête baissée avec, il n'y a pas forcément que des modifications que tu auras envie de faire.

Dernière modification par dbkblk (15-01-2011 21:22:12)


M. Gandhi: "C'est une erreur de croire nécessairement faux ce qu'on ne comprend pas."
C'est quoi ce bordel ?

Hors ligne

#6 15-01-2011 22:35:18

Heliox
Membre
Distrib. : 6.0 "Squeeze" AMD64
Noyau : Linux 2.6.32
(G)UI : Gnome 2.30
Inscription : 13-01-2011

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

dbkblk a écrit :

Pour tout t'avouer, dès mes premiers jours sous Debian, j'étais frustré de ne pas avoir Firefox 3.6, et toutes les dernières versions. Puis, lentement, j'ai réalisé que ça servait à rien d'avoir toujours les derniers logiciels et les dernières fonctionnalités, parce que l'essentiel est souvent déjà là et ceux-ci sont stables. Je pense que c'est une forme de sagesse qui vient (:D) ! Sauf si tu as absolument besoin de quelque chose, je te conseille d'essayer de t'habituer à ça.

Aussi, tu peux essayer d'ajouter les dépôts de Linux Mint Debian pour avoir des paquets interessants:
################################################
## Serveur Linux Mint Debian Edition
deb http://packages.linuxmint.com/ debian main upstream import
################################################

Je te conseille le menu Mint "mintmenu" et les thèmes par defaut "mint-artwork-debian". Aussi "Skype" et "Dropbox" sont dedans, si jamais tu t'en sers.

Debian n'est pas très dure à configurer, c'est juste que tout est moins "poli" que dans Ubuntu par défaut. Crois moi, à l'usage, c'est souvent mieux pensé !

Si tu veux un peu d'aide, je me suis fais un fichier récapitulatif pour l'installation (avec plein d'astuces):
http://dl.dropbox.com/u/369241/Installa … Debian.odt

Évidemment, essaie de comprendre ce que ça fait avant de te lancer tête baissée avec, il n'y a pas forcément que des modifications que tu auras envie de faire.


Je te remercie, en réalité ce que je cherche plus que tout, c'est Iceweasel en version 3.6 minimum pour les (rares ?) vidéos en HTML5 que je peux voir sur Dailymotion. Et de la même manière j'attends avec beaucoup d'impatience Firefox 4 (avec prise en charge de WebM) pour pouvoir lire des vidéos sur Youtube.
Je n'utilisais pas Flash Player jusques là et ça ne m'enchante pas plus que ça de le réinstaller et je préfère totalement m'en passer. (En attendant je lis quelques vidéos de Youtube avec VLC)

Éventuellement j'attends aussi VLC > 1.1.3 pour bénéficier de l'accélération graphique (mais je crois que c'est plus lié au pilote Nvidia dans Squeeze trop vieux, qu'à VLC directement).

[small]Edit : je confirme, les pilotes Nvidia de Squeeze (195.xx) ne sont pas en cause, c'est la version 1.1.3 de VLC qui ne peut tirer partie de l'accélération matérielle, du moins avec les pilotes Nvidia. J'ai testé avec VLC 1.1.5 du dépôt expérimental (+ pilotes 195.xx) et l'accélération matérielle est fonctionnelle !).[/small]

Sinon tout le reste me va bien, Icedove/OpenOffice/le reste ça me va très bien comme ça wink

Merci pour les conseils de Mint et la liste d'astuces. J'en fais une aussi de mon coté depuis le temps que je traîne sous Debian, avec aussi un tuto pour configurer basiquement son système. Je les posterai peut-être un jour si ça peut-être utile.

Dernière modification par Heliox (18-01-2011 20:19:04)

Hors ligne

#7 15-01-2011 22:43:54

Heliox
Membre
Distrib. : 6.0 "Squeeze" AMD64
Noyau : Linux 2.6.32
(G)UI : Gnome 2.30
Inscription : 13-01-2011

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

Oups, epic fail, comment on supprime ? tongue

Dernière modification par Heliox (15-01-2011 22:46:17)

Hors ligne

#8 17-01-2011 14:50:57

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

A propos du dépôt Debian Mint, est-ce que Skype est dispo pour Arch AMD64 ?

De plus quel est la spécificité de ce dépôt Debian Mint ?

Hors ligne

#9 17-01-2011 15:19:05

dbkblk
Membre
Distrib. : Debian Wheezy 64bits
Noyau : 3.2
(G)UI : Gnome 3.2
Inscription : 24-10-2010

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

Oh ce dépôt n'a rien de transcendant. Par défaut, il installe un patch de libcairo pour avoir l'anticrénelage sur les polices et c'est à peu près tout. Je l'utilise essentiellement car il regroupe les logiciels que j'utilise mais qui ne sont pas dans les dépôts Debian (dropbox et skype). Après, le thème par défaut de mint est très joli et sobre (mais bon les goûts et les couleurs...) et il contient les icônes Faenza modifiés (en plus "mint"). Aussi, les moteurs de thème murrine et candido sont dans leurs dernières versions.
Le menu "mintmenu" est également très pratique et complet, mais il est un peu plus lourd que le menu gnome par défaut.

Pour finir, il y a Firefox 3.6 et Thunderbird 3.1.7 mais bon, je préfère les versions patchées disponibles sur Debian.

Skype est disponible pour amd64 mais il s'agit tout simplement de la version 32bits émulée (qui installe "ia32-libs ia32-libs-gtk libqt4-core libqt4-gui"). Tu pouvais déjà l'installer sur Debian en suivant ces instructions: http://wiki.debian.org/skype

M. Gandhi: "C'est une erreur de croire nécessairement faux ce qu'on ne comprend pas."
C'est quoi ce bordel ?

Hors ligne

#10 17-01-2011 15:24:50

Sak
Membre
Distrib. : Testing + des bouts d'Experimental et de LMDE
Noyau : 2.6.37-liquorix-amd64
(G)UI : Gnome
Inscription : 28-12-2010

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

mecanotox a écrit :

A propos du dépôt Debian Mint, est-ce que Skype est dispo pour Arch AMD64 ?


Affirmatif (version 2.1.0.81). Je peux pas t'en dire plus je m'en sers pas.

Tous les paquets maintenus par Mint : http://packages.linuxmint.com/list.php?release=Debian

Attention néanmoins, c'est prévu pour prendre la main sur une Testing. Y'a des paquets en version supérieure et d'autres en version inférieure.

On en parle ici, même si c'est pas le sujet du howto : http://debian-facile.org/manuel:caract%C3%A8re-lissage

EDIT : grillé, j'ai pas vu la réponse de dbkblk

Dernière modification par Sak (17-01-2011 15:25:29)

Hors ligne

#11 18-01-2011 09:25:39

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Viabilité de Debian Stable + Backports face à la dernière Ubuntu ?

Tchôô:

<avis perso>
Debian stable est STABLE, elle est figée après de nombreus tests. Elle est donc forcément plus éprouvée que la dernière Ubuntu et moins sujette a de petits dysfonctionnement insignifiants mais génant. Le coeur de la distrib' est immuablement le même jusqu'a la sortie de la prochaine release, ce qui évite des bidouillages et des rafistollage en cas d'ajout presque "pré-release" de la toute-dernière-Ubuntu.
Cependant certains bugs ou "manquements" sont détectés après sa publication auquelles les dépôts sécurity apportent des corrections rapidement.

Ensuite quant a la "nécessité" d'avoir des logiciels plus réçents les backports s'avèrent être une bonne solutions, d'autant que depuis peu ils sont devenus officiels ce qui j'éspère imposera un suivit plus attentif des rétroportages et évitera les défauts et incompatibilités qui les ont rendus "dangereux" par le passé.

Ceci dit sous Debian je préfère utiliser une Sid pour la simple raison qu'elle n'implique pas de bond de release en release, ce qui à mon avis est plus simple d'entretien pour un poste de travail ne néccéssitant pas une stabilité extrême.

A l'inverse Ubuntu ne proposant que des releases je préfère utiliser une LTS puisque LTS ou pas le bond de release en release est inévitable.
Par ailleurs même si à sa sortie une LTS est imparfaite elle est trés vite stabilisée et utilisable sans trop de désagréments. D'autant que selon mon ressenti et ma façon d'utiliser mon système la LTS vaut bien une Sid niveau stabilité (pas dans le sens figé mais dans le sens d'"usatibilité").

Car si Ubuntu est bien un dérivé de Debian elle n'en propose pas moins ses propres softs et améliorations que je ressent comme *purement instable* dans l'utilisation d'une version d'Ubuntu standard.

Voili, voilou, ce n'est qu'un avis d'utilisateur de base smile


</avis perso>

@+

Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

Pied de page des forums